#	$NetBSD: Makefile.news68k,v 1.18 2005/12/11 12:18:20 christos Exp $
#
# Makefile for NetBSD
#
# This makefile is constructed from a machine description:
#	config machineid
# Most changes should be made in the machine description
#	/sys/arch/news68k/conf/``machineid''
# after which you should do
#	config machineid
# Machine generic makefile changes should be made in
#	/sys/arch/news68k/conf/Makefile.news68k
# after which config should be rerun for all machines of that type.
#
# To specify debugging, add the config line: makeoptions DEBUG="-g"
# A better way is to specify -g only for a few files.
#
#	makeoptions DEBUGLIST="uvm* trap if_*"

MACHINE_ARCH=m68k
USETOOLS?=	no
NEED_OWN_INSTALL_TARGET?=no
.include <bsd.own.mk>

##
## (1) port identification
##
.ifndef S
S=		../../../..
.endif
NEWS68K=	$S/arch/news68k
GENASSYM_CONF=	${NEWS68K}/news68k/genassym.cf

##
## (2) compile settings
##
CPPFLAGS+=	-Dnews68k
CFLAGS+=	-msoft-float
AFLAGS+=	-x assembler-with-cpp -traditional-cpp

##
## (3) libkern and compat
##
KERN_AS=	obj

##
## (4) local objects, compile rules, and dependencies
##
MD_OBJS=	locore.o ${FPSP}
MD_CFILES=
MD_SFILES=	${NEWS68K}/news68k/locore.s

locore.o: ${NEWS68K}/news68k/locore.s assym.h
	${NORMAL_S}

##
## (5) link settings
##
LINKFORMAT=	-n
TEXTADDR?=	0

##
## (6) port specific target dependencies
##

# depend on CPU configuration
machdep.o mainbus.o trap.o: Makefile

copy.o copypage.o lock_stubs.o: assym.h

##
## (7) misc settings
##

##
## (8) config(8) generated machinery
##
%INCLUDES

%OBJS

%CFILES

%SFILES

%LOAD

%RULES

##
## (9) port independent kernel machinery
##
.include "$S/conf/Makefile.kern.inc"

##
## (10) Appending make options.
##
%MAKEOPTIONSAPPEND
